Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028955
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2015-02-16 17:432015-08-20 23:16
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q4
StatusclosedFix in branchFixed in SCM revision95cedd0d623c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028955: can't use EntityPersistenceEventObserver in jUnit test cases

DescriptionEntityPersistenceEventObserver are not executed within jUnit test cases. The problem is they use dependency injection which is not currently supported by the test infrastructure.
Steps To ReproduceExecute attached test case.
TagsNo tags attached.
Attached Files? file icon DalPersistanceEvent.java [^] (1,574 bytes) 2015-02-16 17:45

- Relationships Relation Graph ] Dependency Graph ]
depends on design defect 00217653.0PR15Q4 closedalostale Enable Weld tests in the client.kernel and client.application modules 
related to defect 00289493.0PR15Q2 closedalostale Business objects with document number can not be created from background processes 

-  Notes
(0078711)
hgbot (developer)
2015-07-08 08:21

Repository: erp/devel/pi
Changeset: 95cedd0d623cd3805af630edb5c687ec28f5405f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jul 08 08:13:50 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/95cedd0d623cd3805af630edb5c687ec28f5405f [^]

fixed issue 21765 fixed issue 28955: enabled cdi in jUnit test cases

---
M build.xml
M legal/Licensing.txt
M modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/WeldBaseTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/DynamicExpressionParserTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/FreemarkerTemplateProcessorTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/GenerateComponentTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/LabelTest.java
M src-test/.classpath.template
M src-test/.project
M src-test/build.xml
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src-test/src/org/openbravo/test/AllTests.java
M src-test/src/org/openbravo/test/AntTaskTests.java
A modules/org.openbravo.base.weld/lib/test/arquillian-config-api-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-config-impl-base-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-impl-base-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-spi-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-test-api-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-test-impl-base-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-test-spi-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-core-api-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-core-impl-base-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-core-spi-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-junit-container-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-junit-core-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-test-api-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-test-impl-base-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-test-spi-1.1.8.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-testenricher-cdi-1.0.2.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-weld-ee-embedded-1.1-1.0.0.CR8.jar
A modules/org.openbravo.base.weld/lib/test/jboss-el-api_2.2_spec-1.0.0.Final.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-api-1.2.2.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-descriptors-api-base-2.0.0-alpha-7.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-descriptors-spi-2.0.0-alpha-7.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-impl-base-1.2.2.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-spi-1.2.2.jar
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/ParameterCdiTest.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/ParameterCdiTestRule.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/ApplicationScopedBean.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/CdiInfrastructure.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/DalPersistanceEventTest.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/ParameterizedCdi.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/RequestScopedBean.java
A modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/testinfrastructure/SessionScopedBean.java
R modules/org.openbravo.base.weld/lib/test/arquillian-api-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-impl-base-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-junit-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-protocol-local-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-spi-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-testenricher-cdi-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-weld-ee-embedded-1.1-1.0.0.Alpha4.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-api-1.0.0-alpha-11.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-extension-classloader-1.0.0-alpha-11.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-impl-base-1.0.0-alpha-11.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-spi-1.0.0-alpha-11.jar
---
(0079143)
AugustoMauch (developer)
2015-07-31 11:02

Code reviewed and verified in pi@adc2491ee60b
(0079482)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-02-16 17:43 alostale New Issue
2015-02-16 17:43 alostale Assigned To => AugustoMauch
2015-02-16 17:43 alostale Modules => Core
2015-02-16 17:43 alostale Triggers an Emergency Pack => No
2015-02-16 17:43 alostale Relationship added depends on 0021765
2015-02-16 17:45 alostale File Added: DalPersistanceEvent.java
2015-02-16 17:45 alostale Relationship added related to 0028949
2015-03-11 09:50 alostale Status new => acknowledged
2015-03-17 14:38 alostale Assigned To AugustoMauch => platform
2015-07-08 08:10 alostale Review Assigned To => AugustoMauch
2015-07-08 08:21 hgbot Checkin
2015-07-08 08:21 hgbot Note Added: 0078711
2015-07-08 08:21 hgbot Status acknowledged => resolved
2015-07-08 08:21 hgbot Resolution open => fixed
2015-07-08 08:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/95cedd0d623cd3805af630edb5c687ec28f5405f [^]
2015-07-20 13:37 alostale Assigned To platform => alostale
2015-07-31 11:02 AugustoMauch Note Added: 0079143
2015-07-31 11:02 AugustoMauch Status resolved => closed
2015-07-31 11:02 AugustoMauch Fixed in Version => 3.0PR15Q4
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079482


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker